﻿<?xml version="1.0" ?>
<xsl:stylesheet
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:output method="html" encoding="utf-8" indent="yes" />

 <xsl:template match="header|note|prop|alt-trans|source|target"/>

 <xsl:template match="xliff/file">
  <html>
   <head><title>Images</title></head>
   <body>
    <table width="100%" border="1" cellspacing="0" cellpadding="5">
     <tr>
      <td style="background-color:beige;font-weight:bold" align='left' valign='top'>Original Images</td>
      <td style="background-color:beige;font-weight:bold" align='left' valign='top'>Text</td>
     </tr>
     <xsl:apply-templates/>
    </table>
   </body>
  </html>
 </xsl:template>

 <xsl:template match="//bin-unit">
  <tr>
   <td width='10' align='left' valign='top'>
    <xsl:element name="img">
     <xsl:attribute name="src"><xsl:value-of select="bin-source/external-file/@href"/></xsl:attribute>
    </xsl:element>
   </td>
   <td align='left' valign='top'>
    <xsl:value-of select="trans-unit/target"/>
    <xsl:if test='note!=""'>
     <p style='background-color:lightyellow'><b>Note: </b><xsl:value-of select="note"/></p>
    </xsl:if>
   </td>
  </tr>
  <xsl:apply-templates/>
 </xsl:template>

</xsl:stylesheet>

